Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.info
Class ContainerSecurityInfo

    java.lang.Object
      org.jboss.portal.portlet.impl.info.ContainerSecurityInfo

All Implemented Interfaces:
  SecurityInfo

    public class ContainerSecurityInfo

extends java.lang.Object
implements SecurityInfo

Version:
  $Revision: 6697 $
Author:
  Julien Viet

Constructor Summary
`ContainerSecurityInfo()`

Method Summary
`void` | `addRoleRef(java.lang.String roleName, java.lang.String roleLink)`
`void` | `addTransportGuarantee(TransportGuarantee transportGuarantee)`
`boolean` | `containsRoleRef(java.lang.String roleName)`
`boolean` | `containsTransportGuarantee(TransportGuarantee transportGuarantee)`
`java.lang.String` | `getRoleRef(java.lang.String roleName)`
`java.util.Set<TransportGuarantee>` | `getTransportGuarantees()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerSecurityInfo

    public ContainerSecurityInfo()

Method Detail

### getRoleRef

    public java.lang.String getRoleRef(java.lang.String roleName)

### containsRoleRef

    public boolean containsRoleRef(java.lang.String roleName)

### addRoleRef

    public void addRoleRef(java.lang.String roleName,
                           java.lang.String roleLink)

### addTransportGuarantee

    public void addTransportGuarantee(TransportGuarantee transportGuarantee)

### containsTransportGuarantee

    public boolean containsTransportGuarantee(TransportGuarantee transportGuarantee)

  Specified by:
    `containsTransportGuarantee` in interface `SecurityInfo`
  Parameters:
    `transportGuarantee` - the transport guarantee
  Returns:
    true if the transport guarantee is contained

### getTransportGuarantees

    public java.util.Set<TransportGuarantee> getTransportGuarantees()

  Specified by:
    `getTransportGuarantees` in interface `SecurityInfo`
  Returns:
    the set of transport guarantees

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.